<?php
$_PDF="";
$StrId=V($_POST['TxtId']);
$StrCmd=V($_POST['TxtAc']);
$LIMPIAR=0;
//+++
$P_C="Lin";
$FF="";
//+++
$Lin=V($_POST['Lin']);
$Cod=V($_POST['Cod']);
$Des=V($_POST['Des']);
$Est=V($_POST['Est']);
//
if(strlen($Lin)==0)$Lin="TODOS";
if(strlen($Est)==0)$Est="TODOS";
//
$Lin_=LIKE($Lin);
$Cod_=$Cod."%";
$Des_=$Des."%";
$Est_=LIKE($Est);
//+++++++++++++++++++
$FF=" ID>0 AND COD LIKE '$Cod_' AND DESCRIPCION LIKE '$Des_' AND 
      LINEA LIKE '$Lin_' AND USO LIKE '$Est_' ";
//+++++++++++++++++++
if($StrCmd=="G"){
	//BIT
	$_BIT_MOD_ID="0";
	$_BIT_SQL_CAB="SQL";
	$_BIT_SQL_DET="";
	$_BIT_PHP="lq_prod_editar.php";
	$_BIT_ID=BIT_ADD("ACTUALIZACIONES","ACTUALIZAR ESTADO DE PRODUCTO","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
	BIT_DET_ADD($_BIT_ID,"");
	//BIT	
	foreach($_POST as $key=>$value){
		$N=$key;
		$V=$value;
		//
		if(substr($N,0,2)=="C_"){
			$AR=explode("_",$N);
			$ID=$AR[1];
			$s="UPDATE productos SET pro_codigo='$V' WHERE id_producto=$ID";
			ejt($s);
			BIT_DET_ADD($_BIT_ID,$s);
			//
			$s="UPDATE t_productos SET pro_cod='$V' WHERE pro_id=$ID";
			ejt($s);	
			BIT_DET_ADD($_BIT_ID,$s);
			//		
		}		
		//
		if(substr($N,0,2)=="E_"){
			$AR=explode("_",$N);
			$ID=$AR[1];
			$V=vbmid($V,1,1);
			$s="UPDATE productos SET pro_uso='$V' WHERE id_producto=$ID";
			ejt($s);
			BIT_DET_ADD($_BIT_ID,$s);
			//	
			$s="UPDATE t_productos SET pro_uso='$V' WHERE pro_id=$ID";
			ejt($s);
			BIT_DET_ADD($_BIT_ID,$s);
			//				
		}		
		//
		if(substr($N,0,2)=="D_"){
			$AR=explode("_",$N);
			$ID=$AR[1];
			$s="UPDATE productos SET pro_des='$V' WHERE id_producto=$ID";
			ejt($s);
			BIT_DET_ADD($_BIT_ID,$s);
			//	
			$s="UPDATE t_productos SET pro_des='$V' WHERE pro_id=$ID";
			ejt($s);
			BIT_DET_ADD($_BIT_ID,$s);
			//				
		}		
		//
		if(substr($N,0,2)=="L_"){
			$AR=explode("_",$N);
			$ID=$AR[1];
			//
			$LIN_ID=LIN_GET_ID($V);
			//
			$s="UPDATE productos SET pro_id_linea=$LIN_ID WHERE id_producto=$ID";
			ejt($s);
			BIT_DET_ADD($_BIT_ID,$s);
			//	
			$s="UPDATE t_productos SET pro_lin='$V' WHERE pro_id=$ID";
			ejt($s);	
			BIT_DET_ADD($_BIT_ID,$s);
			//			
		}
		//
		if(substr($N,0,3)=="PM_"){
			$AR=explode("_",$N);
			$ID=$AR[1];
			$V=round(vbval($V),3);
			//
			$s="UPDATE productos SET pro_pv_min=$V WHERE id_producto=$ID";
			ejt($s);
			BIT_DET_ADD($_BIT_ID,$s);
			//
			$s="UPDATE t_productos SET pro_pmi=$V WHERE pro_id=$ID";
			ejt($s);	
			BIT_DET_ADD($_BIT_ID,$s);		
		}
		//
		if(substr($N,0,3)=="PW_"){
			$AR=explode("_",$N);
			$ID=$AR[1];
			$V=round(vbval($V),3);
			//
			$s="UPDATE productos SET pro_pv_max=$V WHERE id_producto=$ID";
			ejt($s);
			BIT_DET_ADD($_BIT_ID,$s);
			//
			$s="UPDATE t_productos SET pro_pma=$V WHERE pro_id=$ID";
			ejt($s);
			BIT_DET_ADD($_BIT_ID,$s);			
		}
				
	}
	$LStrMsg="Datos actualizados";
	$StrGT="S";
}
//
$LStrMsg=BL($StrGT,$LStrMsg,$LStrFoc,$P_C);
?>